commandwindow
clear
clc
close all 

format long
iter=0
y=0.05
tol=1e-9;
for i=1:inf
    iter(i+1) = i;
    y(i+1)=cos(y(i)*(pi/180));
    err(i+1) = abs((y(i+1)-y(i))/y(i+1))*100
    if err(i+1)<=tol
        break
    end
end
plot (iter,y)
grid on
grid minor
xlabel('iter')
ylabel('y')
title('graph of iteration against y')