commandwindow
clear
clc
close all

format long
iter=0
z=0.1
tol=1e-5;
for i=1:inf
    iter(i+1) = i;
    z(i+1)=exp(-15*z(i))+cos(z(i)*(pi/180));
    err(i+1)= abs((z(i+1)-z(i))/z(i+1))*100
    if err(i+1)<= tol
        break
    end     
end
table = [iter' z' err']
plot(iter,z)
grid on
grid minor
xlabel('iter')
ylabel('z')
title('graph of iteration against z')
